Name: reactfx
Version: 2.0
Release: 2.M5%{?dist}
Summary: Reactive event streams for JavaFX

License: BSD
URL: http://www.reactfx.org/
Source0: https://github.com/TomasMikula/ReactFX/archive/v%{version}-M5.tar.gz#/%{name}-%{version}.tar.gz
Patch0: remove-missing-test-dependencies.patch

#openjfx is x86 and x86_64 only
ExclusiveArch: %{ix86} x86_64 noarch
BuildArch: noarch
BuildRequires: gradle-local

Requires: javafx
BuildRequires: javafx
BuildRequires: javafx-devel
BuildRequires: mvn(org.hamcrest:hamcrest-library)

%description
ReactFX is an exploration of (functional) reactive programming techniques for
JavaFX. These techniques usually result in more concise code, less side effects
and less inversion of control, all of which improve the readability of code.

Initial inspiration came from the Principles of Reactive Programming course and
the RxJava library. There are, however, important differences from RxJava.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n ReactFX-%{version}-M5

%patch0 -p1

%build
#Missing test dependencies:
#mvn(com.pholser:junit-quickcheck-core)
#mvn(com.pholser:junit-quickcheck-generators)
#mvn(org.junit.contrib:junit-theories)
rm -f reactfx/src/test/java/org/reactfx/util/SparseListTest.java

#Swing Tests
rm -f reactfx/src/test/java/org/reactfx/AwaitTest.java \
  reactfx/src/test/java/org/reactfx/SuccessionReducingTest.java \
  reactfx/src/test/java/org/reactfx/TicksTest.java \
  reactfx/src/test/java/org/reactfx/value/AnimatedValTest.java


%gradle_build

%install
%mvn_install -J reactfx/build/docs/javadoc

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%doc README.md
%license LICENSE

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-2.M5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 14 2017 Jonny Heggheim <hegjon@gmail.com> - 2.0-1.M5
- initial package
